<?php
include_once('main.php');
include_once('header.php');
$admin = new ManageAdmins();
if (isset($_REQUEST['op']))
{
    switch ($_REQUEST['op'])
    {
        case 'add':
			if (isset($_REQUEST['add_class']))
			{
				
				$form_title = _ADMIN_ADD_CLASS;
				$clcode=$_POST['clcode'];
				$clname=$_POST['clname'];
				$capacity=$_POST['capacity'];
				$claddress=$_POST['claddress'];
				$clcomment=$_POST['clcomment'];
				
				if(empty($error))
				{
					
					if(empty($clcode) || empty($clname))
							$error = _SOME_FIELDS_ARE_REQUIRED;
					else
					{
						
							$class = new ManageClasses();
							if($class->ClCodeAvailability($clcode)==0)
								$error = _ADMIN_CLCODE_IS_RESERVED;
							else if($class->ClCodeAvailability($clcode)==2)
								$error = _USERNAME_VALID_CHARACTERS;
							else
							{
								if($admin->AdminPermission($_SESSION[$admin_session_name],"allow_class_add"))
								{
									$adminInfo=$admin->GetAdminInfo($_SESSION[$admin_session_name]);
									$admin_id = $adminInfo[0]['aid'];
									$counts = $class->AddClass($clcode,$clname,$capacity,$claddress,$clcomment,$admin_id);
								}
								else
								{
									$counts = 0;
									$error = _ADMIN_YOU_DO_NOT_HAVE_NECCESSARY_PERMISSIONS.'.<br />';
								}
								if($counts==1)
								{
									$success = _CLASS_ADDED_SUCCESSFULLY;
									unset($clcode,$clname,$capacity,$claddress,$clcomment,$admin_id);
								}
								else
								{
									$error .= _CLASS_ADDING_FAILED;
								}
							}
								
					}
				}
			}
			else if (isset($_POST['edit_class']) && isset($_REQUEST['clid']))
			{
				$form_title = _ADMIN_EDIT_CLASS;
				//Update Teacher
				$clid = $_REQUEST['clid'];
				
				$clcode2 = $_POST['clcode2'];
				$clcode=$_POST['clcode'];
				$clname=$_POST['clname'];
				$capacity=$_POST['capacity'];
				$claddress=$_POST['claddress'];
				$clcomment=$_POST['clcomment'];
				
				
				if(empty($error))
				{
					
					if(empty($clcode) || empty($clname))
							$error = _SOME_FIELDS_ARE_REQUIRED;
					else
					{
							$class = new ManageClasses();
							$classInfo = $class->GetClassInfoById($clid);
							if($class->ClCodeAvailability($clcode)==0 && $clcode!=$_POST['clcode2'] && $classInfo[0]['clcode']!=$clcode)
								$error = _ADMIN_CLCODE_IS_RESERVED;
							else if($class->ClCodeAvailability($clcode)==2)
								$error = _ADMIN_USERNAME_IS_INVALID;
							else
							{
								//Check Permission
								if($admin->AdminPermission($_SESSION[$admin_session_name],"allow_class_edit"))
								{
									$adminInfo=$admin->GetAdminInfo($_SESSION[$admin_session_name]);
									$admin_id = $adminInfo[0]['aid'];
									$counts = $class->UpdateClass($clid,$clcode,$clname,$capacity,$claddress,$clcomment,$admin_id);
									if($counts==1)
									{
										$success = _CLASS_UPDATED_SUCCESSFULLY;
									}
									else
									{
											$error = _CLASS_UPDATING_FAILED;
									}
								}
								else
									$error = _ADMIN_YOU_DO_NOT_HAVE_NECCESSARY_PERMISSIONS;
							}
								
					}
				}
				
			}
			else if (!isset($_POST['edit_class']) && isset($_REQUEST['clid']))
			{
				$form_title = _ADMIN_EDIT_CLASS;
				//Select Admin Info
				$class = new ManageClasses();
				$classInfo = $class->GetClassInfoById($_REQUEST['clid']);
				
				$clcode=$classInfo[0]['clcode'];
				$clname=$classInfo[0]['clname'];
				$capacity=$classInfo[0]['capacity'];
				$claddress=$classInfo[0]['claddress'];
				$clcomment=$classInfo[0]['clcomment'];
				$clcode2=$classInfo[0]['clcode'];
			}

			echo '
			<div class="hero-unit main-container" style="margin-'.$align1.':-400px; '.$align1.':50%;">
					<form class="form-vertical" id="addClass" method="post" action="">';
			if($admin->AdminPermission($_SESSION[$admin_session_name],"allow_class_list") || $admin->AdminPermission($_SESSION[$admin_session_name],"allow_class_edit"))
			{
				if(isset($error))
				{
						echo '<div class="alert alert-error">
								  '.$error.'!
							  </div>';
				}
				if(isset($success))
				{
						echo '<div class="alert alert-success">
								  '.$success.'.
							  </div>';
				}
				
						echo'<h3>'.$form_title.'</h3>
							<fieldset>
								<legend class="label">'._ADMIN_GENERAL_INFORMATION.'</legend>
								<div class="control-group">
									<label class="control-label" for="clcode">'._CLCODE._REQUIRED.':</label>
									<div class="controls">
										<input value="'.$clcode.'" type="text" class="input" autocomplete="off" id="clcode" name="clcode" style="direction:ltr;" /> <span class="help">('._USERNAME_VALID_CHARACTERS.')</span>
									</div>
								</div>
								
								<div class="control-group">
									<label class="control-label" for="clname">'._CLNAME._REQUIRED.':</label>
									<div class="controls">
										<input value="'.$clname.'" type="text" class="input" autocomplete="off" id="clname" name="clname" style="direction:'.$dir.';" />
									</div>
								</div>
								
								<div class="control-group">
									<label class="control-label" for="capacity">'._CAPACITY.':</label>
									<div class="controls">
										<input value="'.$capacity.'" type="text" class="input" id="capacity" name="capacity" style="direction:ltr; width:50px;" />
									</div>
								</div>
								
								<div class="control-group">
									<label class="control-label" for="claddress">'._CLADDRESS.':</label>
									<div class="controls">
										<input value="'.$claddress.'" type="text" class="input" id="claddress" name="claddress" style="direction:'.$dir.';" />
									</div>
								</div>
								
								<div class="control-group">
									<label class="control-label" for="clcomment">'._CLASS_COMMENTS.':</label>
									<div class="controls">
										<textarea name="clcomment" cols="30" rows="3" id="clcomment" style="direction:'.$dir.';" class="default_font">'.$clcomment.'</textarea>
									</div>
								</div>
							</fieldset>
							';
							if(isset($_REQUEST['clid']))
								echo'
							<input type="hidden" name="clid" value="'.$_REQUEST['clid'].'" />
							<input type="hidden" name="clcode2" value="'.$clcode2.'" />
							<center><input type="submit" name="edit_class" value="'._UPDATE.'" class="btn btn-primary btn-large"  />';
							else
								echo'
							<center><input type="submit" name="add_class" value="'._ADD.'" class="btn btn-primary btn-large"  />';
				}
				else
					echo '<div class="alert alert-error">
								  '._ADMIN_YOU_DO_NOT_HAVE_NECCESSARY_PERMISSIONS.'!
							  </div>';
					echo'
					</form>
				</p>
			</div>
		';            
        break;
        
        case "list":
					$class = new ManageClasses();
					if(isset($_REQUEST['page']))
						$start = ($_REQUEST['page']-1)*$page_limit;
					else
						$start = 0;
						
					$selected1=$selected2=$selected3=$selected4="";
					if(isset($_REQUEST['q']))
					{
						switch($_REQUEST['search_op'])
						{
							case "clcode":
								$query = " WHERE clcode LIKE '%$_REQUEST[q]%'";
								$selected1 = 'selected="selected"';
								break;
							case "clname":
								$query = " WHERE clname LIKE '%$_REQUEST[q]%'";
								$selected2 = 'selected="selected"';
								break;
							case "capacity":
								$query = " WHERE capacity > $_REQUEST[q]";
								$selected3 = 'selected="selected"';
								break;
							case "claddress":
								$query = " WHERE claddress LIKE '%$_REQUEST[q]%'";
								$selected4 = 'selected="selected"';
								break;
						}
						
					}
					else
						$query = "";
					if(empty($selected1) && empty($selected2) && empty($selected3) && empty($selected4))
						$selected1 = 'selected="selected"';
					$classList = $class->GetClassList2($query,$start,$page_limit);
					$num_of_classes = ($class->GetClassList($query)==0?0:count($class->GetClassList($query)));
					echo '
					<div class="hero-unit main-container" style="margin-'.$align1.':-400px; '.$align1.':50%; " align="center">
						<form action="" method="post" style="text-align:center;" name="filter_admins">
							<input type="text" name="q" id="q" class="input" style="width:150px;" value="'.$_REQUEST['q'].'" /> 
							<select name="search_op" style="width:130px;" class="input">
								<option value="clcode" '.$selected1.'>'._CLCODE.'</option>
								<option value="clname" '.$selected2.'>'._CLNAME.'</option>
								<option value="capacity" '.$selected3.'>'._CAPACITY.'</option>
								<option value="clcomment" '.$selected4.'>'._CLADDRESS.'</option>
							</select>';
							
					if($num_of_classes>$page_limit)
					{
						echo ' '._PAGE.': <select name="page" style="width:80px;" class="input">';
						for($p=1;(($p-1)*$page_limit)<=$num_of_classes;$p++)
						{
							if($p==$_REQUEST['page'])
								echo '<option value="'.$p.'" selected="selected">'.$p.'</option>';
							else
								echo '<option value="'.$p.'">'.$p.'</option>';
						}
						echo '</select>';
					}
					echo '
							<input type="submit" value="'._SEARCH.'" style="width:60px;" class="input" />
						</form>
						<script type="text/javascript">
							document.filter_admins.q.focus();
						</script>
						<div id="class-container">';
					if($admin->AdminPermission($_SESSION[$admin_session_name],"allow_class_list"))
					{
						echo '<center>'._TOTAL_NUMBER_OF_CLASSES.': '.$num_of_classes.'</center>';
						if($num_of_classes!=0)
						{
							echo '
							<script type="text/javascript">
								function del_class(id)
								{
									if(confirm(\''._CLASS_ARE_SURE_YOU_WANT_TO_DELETE.'\'))
										window.location = "class.php?op=delete&clid="+id;
								}
								
							</script>
							';

							$table_width = 'width:700px;';
							$hidden = "";
							//Table Header
							echo '<div style="'.$table_width.'"><table style="'.$table_width.'">
									<tr class="table_header default_font">';
							echo '<td style="width:50px;" class="small">
								'._CLCODE.'
								</td>';
							echo '<td style="width:120px;" class="small">
								'._CLNAME.'
								</td>';
							echo '<td style="width:30px;" class="small '.$hidden.'">
								'._CAPACITY.'
								</td>';
							echo '<td style="width:100px;" class="small '.$hidden.'">
								'._CLADDRESS.'
								</td>';
							echo '<td style="width:80px;" class="small '.$hidden.'">
								'._CLASS_COMMENTS.'
								</td>';
								
							echo '<td style="width:70px;" class="small">
									'._TOOLS.'
								</td>';
							echo '</tr>';
							///--Table Header
							$i=0;
							foreach($classList as $classProp)
							{
								if($i%2==0)
									$bgClass = "tr_hover_class";
								else
									$bgClass = "";
								echo '<tr style="height:30px; border-bottom:silver;" class="table_rows default_font '.$bgClass.'">';
									
								echo '<td style="text-align:center;">
									'.$classProp['clcode'].'
									</td>';
									
								echo '<td style="text-align:'.$align1.';">
									'.$classProp['clname'].'
									</td>';
								
								echo '<td style="text-align:center;">
									'.$classProp['capacity'].'
									</td>';
									
								echo '<td style="text-align:'.$align1.';">
									'.$classProp['claddress'].'
									</td>';
									
								echo '<td style="text-align:'.$align1.';" class="'.$hidden.'">
									'.$classProp['clcomment'].'
									</td>';
								
								echo '<td style="text-align:left;">';
								if($admin->AdminPermission($_SESSION[$admin_session_name],"allow_class_del"))
										echo '<a href="javascript:del_class('.$classProp['clid'].')" title="'._ADMIN_DELETE_ADMIN.'"><img src="../themes/'.$theme.'/img/delete.png" style="border:0px;" /></a>';
								if($admin->AdminPermission($_SESSION[$admin_session_name],"allow_class_edit"))
										echo '<a href="class.php?op=add&clid='.$classProp['clid'].'" title="'._ADMIN_EDIT_ADMIN.'"><img src="../themes/'.$theme.'/img/edit_user.png" style="border:0px;" /></a>';
									echo '</td>';
								echo '</tr>';	
								$i++;				
							}
							echo '</table></div>';
						}						
					}
					else
						echo '
						<div class="alert alert-error">
								  '._ADMIN_YOU_DO_NOT_HAVE_NECCESSARY_PERMISSIONS.'!
					    </div>';
					echo '
						</div>
					</div>
					';
		break;
		
		
		case "delete":
			echo '<div class="hero-unit main-container" style="margin-'.$align1.':-400px; '.$align1.':50%; ">';
			$clid = $_REQUEST['clid'];
			$class = new ManageClasses();
			
			//Check Permission
			if($admin->AdminPermission($_SESSION[$admin_session_name],"allow_class_del"))
			{
				if($class->DeleteClass($clid)==1)
					echo '<div class="alert alert-success">
							  '._CLASS_DELETED_SUCCESSFULLY.'.
						  </div>';
				else
					echo '<div class="alert alert-error">
							  '._PROBLEM_OCCURED_DELETING_CLASS.'!
						  </div>';
			}
			else
				echo '<div class="alert alert-error">
								  '._ADMIN_YOU_DO_NOT_HAVE_NECCESSARY_PERMISSIONS.'!
					  </div>';
			echo '</div>';
		break;
		
        default:
            # code...
        break;
    }
}

include_once('footer.php');
?>


