<?php
include_once('main.php');
include_once('header.php');
$admin = new ManageAdmins();
if (isset($_REQUEST['op']))
{
    switch ($_REQUEST['op'])
    {
        case 'add':
			if (isset($_REQUEST[add_course]))
			{
				$form_title = _ADMIN_ADD_COURSE;		
				$ccode=$_POST['ccode'];
				$tid = $_POST['tid'];
				$lid = $_POST['lid'];
				$pid = $_POST['pid'];
				$clid = $_POST['clid'];
				$final_capacity = $_POST['final_capacity'];
				$days_times = $_POST['days_times'];
				$exam_date = $_POST['exam_date'];
				$exam_place = $_POST['exam_place'];
				$ccomment=$_POST['ccomment'];
				
				if(empty($error))
				{
				
					if(empty($ccode))
							$error = _SOME_FIELDS_ARE_REQUIRED;
					else
					{
						
							$course = new ManageCourses();
							if($course->CCodeAvailability($ccode)==0)
								$error = _ADMIN_CCODE_IS_RESERVED;
							else if($course->CCodeAvailability($ccode)==2)
								$error = _USERNAME_VALID_CHARACTERS;
							else
							{
								if($admin->AdminPermission($_SESSION[$admin_session_name],"allow_course_add"))
								{
									$adminInfo=$admin->GetAdminInfo($_SESSION[$admin_session_name]);
									$admin_id = $adminInfo[0]['aid'];
									$counts = $course->AddCourse($ccode,$tid,$lid,$pid,$clid,$final_capacity,$days_times,$exam_date,$exam_place,$ccomment,$admin_id);
								}
								else
								{
									$counts = 0;
									$error = _ADMIN_YOU_DO_NOT_HAVE_NECCESSARY_PERMISSIONS.'.<br />';
								}
								if($counts==1)
								{
									$success = _COURSE_ADDED_SUCCESSFULLY;
									unset($ccode,$tid,$lid,$pid,$clid,$final_capacity,$days_times,$exam_date,$exam_place,$ccomment,$admin_id);
								}
								else
								{
									$error .= _COURSE_ADDING_FAILED;
								}
							}
								
					}
				}
			}
			else if (isset($_POST['edit_course']) && isset($_REQUEST['cid']))
			{
				$form_title = _ADMIN_EDIT_COURSE;
				$cid = $_REQUEST['cid'];
				$ccode=$_POST['ccode'];
				$tid = $_POST['tid'];
				$lid = $_POST['lid'];
				$pid = $_POST['pid'];
				$clid = $_POST['clid'];
				$final_capacity = $_POST['final_capacity'];
				$days_times = $_POST['days_times'];
				$exam_date = $_POST['exam_date'];
				$exam_place = $_POST['exam_place'];
				$ccomment=$_POST['ccomment'];
				

				$ccode2 = $_POST['ccode2'];				
				
				if(empty($error))
				{
					
					if(empty($ccode))
							$error = _SOME_FIELDS_ARE_REQUIRED;
					else
					{
							$course = new ManageCourses();
							$courseInfo = $course->GetCourseInfoById($cid);
							if($course->CCodeAvailability($ccode)==0 && $ccode!=$_POST[ccode2] && $courseInfo[0]['ccode']!=$ccode)
								$error = _ADMIN_CCODE_IS_RESERVED;
							else if($course->CCodeAvailability($ccode)==2)
								$error = _ADMIN_USERNAME_IS_INVALID;
							else
							{
								//Check Permission
								if($admin->AdminPermission($_SESSION[$admin_session_name],"allow_course_edit"))
								{
									$adminInfo=$admin->GetAdminInfo($_SESSION[$admin_session_name]);
									$admin_id = $adminInfo[0][aid];
									$counts = $course->UpdateCourse($cid,$ccode,$tid,$lid,$pid,$clid,$final_capacity,$days_times,$exam_date,$exam_place,$ccomment,$admin_id);
									if($counts==1)
									{
										$success = _COURSE_UPDATED_SUCCESSFULLY;
									}
									else
									{
											$error = _COURSE_UPDATING_FAILED;
									}
								}
								else
									$error = _ADMIN_YOU_DO_NOT_HAVE_NECCESSARY_PERMISSIONS;
							}
								
					}
				
				}
			}
			else if (!isset($_POST['edit_course']) && isset($_REQUEST['cid']))
			{
				$form_title = _ADMIN_EDIT_COURSE;
				//Select Admin Info
				$course = new ManageCourses();
				$courseInfo = $course->GetCourseInfoById($_REQUEST['cid']);
				$ccode=$courseInfo[0]['ccode'];
				$tid=$courseInfo[0]['tid'];
				$lid=$courseInfo[0]['lid'];
				$pid=$courseInfo[0]['pid'];
				$clid=$courseInfo[0]['clid'];
				$final_capacity=$courseInfo[0]['final_capacity'];
				$days_times=$courseInfo[0]['days_times'];
				$exam_date=$courseInfo[0]['exam_date'];
				$exam_place=$courseInfo[0]['exam_place'];
				$ccomment=$courseInfo[0]['ccomment'];
				
				$ccode2=$courseInfo[0]['ccode'];
			}

			echo '
			<div class="hero-unit main-container" style="margin-'.$align1.':-400px; '.$align1.':50%;">
					<form class="form-vertical" id="addCourse" method="post" action="">';
			if($admin->AdminPermission($_SESSION[$admin_session_name],"allow_course_list") || $admin->AdminPermission($_SESSION[$admin_session_name],"allow_course_edit"))
			{
				if(isset($error))
				{
						echo '<div class="alert alert-error">
								  '.$error.'!
							  </div>';
				}
				if(isset($success))
				{
						echo '<div class="alert alert-success">
								  '.$success.'.
							  </div>';
				}

						echo'<h3>'.$form_title.'</h3>
							<fieldset>
								<legend class="label">'._ADMIN_GENERAL_INFORMATION.'</legend>
								<div class="control-group">
									<label class="control-label" for="ccode">'._CCODE._REQUIRED.':</label>
									<div class="controls">
										<input value="'.$ccode.'" type="text" class="input" autocomplete="off" id="ccode" name="ccode" style="direction:ltr;" /> <span class="help">('._USERNAME_VALID_CHARACTERS.')</span>
									</div>
								</div>
								
								<div class="control-group">
									<label class="control-label" for="tid">'._COURSE_TERM._REQUIRED.':</label>
									<div class="controls">
										<select name="tid" id="tid" class="input" style="direction:'.$dir.';">
									';
									$query="";
									$term = new ManageTerms();
									$termList = $term->GetTermList($query);
									
									foreach($termList as $termProp)
									{
										if($termProp['tid']==$tid)
											echo '<option value="'.$termProp['tid'].'" selected="selected">'.$termProp['tcode'].' - '.$termProp['tname'].'</option>';
										else
											echo '<option value="'.$termProp['tid'].'">'.$termProp['tcode'].' - '.$termProp['tname'].'</option>';
									}
									echo'</select>
									</div>
								</div>
								
								<div class="control-group">
									<label class="control-label" for="lid">'._COURSE_LESSON._REQUIRED.':</label>
									<div class="controls">
										<select name="lid" id="lid" class="input" style="direction:'.$dir.';">
									';
									unset($term);
									$lesson = new ManageLessons();
									$lessonList = $lesson->GetLessonList($query);
									
									foreach($lessonList as $lessonProp)
									{
										if($lessonProp['lid']==$lid)
											echo '<option value="'.$lessonProp['lid'].'" selected="selected">'.$lessonProp['lcode'].' - '.$lessonProp['lname'].'</option>';
										else
											echo '<option value="'.$lessonProp['lid'].'">'.$lessonProp['lcode'].' - '.$lessonProp['lname'].'</option>';
									}
									echo'</select>
									</div>
								</div>
								
								<div class="control-group">
									<label class="control-label" for="pid">'._COURSE_TEACHER._REQUIRED.':</label>
									<div class="controls">
										<select name="pid" id="pid" class="input" style="direction:'.$dir.';">
									';
									unset($lesson);
									$teacher = new ManageTeachers();
									$teacherList = $teacher->GetTeacherList($query);
									
									foreach($teacherList as $teacherProp)
									{
										if($teacherProp['pid']==$pid)
											echo '<option value="'.$teacherProp['pid'].'" selected="selected">'.$teacherProp['pcode'].' - '.$teacherProp['pfname'].' '.$teacherProp['plname'].'</option>';
										else
											echo '<option value="'.$teacherProp['pid'].'">'.$teacherProp['pcode'].' - '.$teacherProp['pfname'].' '.$teacherProp['plname'].'</option>';
									}
									echo'</select>
									</div>
								</div>
								
								<div class="control-group">
									<label class="control-label" for="clid">'._COURSE_CLASS._REQUIRED.':</label>
									<div class="controls">
										<select name="clid" id="clid" class="input" style="direction:'.$dir.';">
									';
									unset($teacher);
									$class = new ManageClasses();
									$classList = $class->GetClassList($query);
									
									foreach($classList as $classProp)
									{
										if($classProp['clid']==$clid)
											echo '<option value="'.$classProp['clid'].'" selected="selected">'.$classProp['clcode'].' - '.$classProp['clname'].' ('._CAPACITY.': '.$classProp['capacity'].')</option>';
										else
											echo '<option value="'.$classProp['clid'].'">'.$classProp['clcode'].' - '.$classProp['clname'].' ('._CAPACITY.': '.$classProp['capacity'].')</option>';
									}
									echo'</select>
									</div>
								</div>
								
								<div class="control-group">
									<label class="control-label" for="final_capacity">'._COURSE_CAPACITY.':</label>
									<div class="controls">
										<input value="'.$final_capacity.'" type="text" class="input" id="final_capacity" name="final_capacity" style="direction:ltr; width:50px;" />
									</div>
								</div>
								
								<div class="control-group">
									<label class="control-label" for="exam_date">'._COURSE_DAYS.':</label>
									<div class="controls">
										<input value="'.$days_times.'" type="text" class="input" id="days_times" name="days_times" style="direction:'.$dir.';" />
									</div>
								</div>
								
								<div class="control-group">
									<label class="control-label" for="exam_date">'._COURSE_EXAM_DATE.':</label>
									<div class="controls">
										<input value="'.$exam_date.'" type="text" class="input" id="exam_date" name="exam_date" style="direction:'.$dir.';" />
									</div>
								</div>
								
								<div class="control-group">
									<label class="control-label" for="exam_place">'._COURSE_EXAM_PLACE.':</label>
									<div class="controls">
										<input value="'.$exam_place.'" type="text" class="input" id="exam_place" name="exam_place" style="direction:'.$dir.';" />
									</div>
								</div>
								
								
								<div class="control-group">
									<label class="control-label" for="ccomment">'._COURSE_COMMENTS.':</label>
									<div class="controls">
										<textarea name="ccomment" cols="30" rows="3" id="ccomment" style="direction:'.$dir.';" class="default_font">'.$ccomment.'</textarea>
									</div>
								</div>
							</fieldset>
							';
							if(isset($_REQUEST['cid']))
								echo'
							<input type="hidden" name="cid" value="'.$_REQUEST['cid'].'" />
							<input type="hidden" name="ccode2" value="'.$ccode2.'" />
							<center><input type="submit" name="edit_course" value="'._UPDATE.'" class="btn btn-primary btn-large"  />';
							else
								echo'
							<center><input type="submit" name="add_course" value="'._ADD.'" class="btn btn-primary btn-large"  />';
				}
				else
					echo '<div class="alert alert-error">
								  '._ADMIN_YOU_DO_NOT_HAVE_NECCESSARY_PERMISSIONS.'!
							  </div>';
					echo'
					</form>
				</p>
			</div>
		';            
        break;
        
        case "list":
					$course = new ManageCourses();
					if(isset($_REQUEST['page']))
						$start = ($_REQUEST['page']-1)*$page_limit;
					else
						$start = 0;
					$selected1=$selected2=$selected3=$selected4="";
					if(isset($_REQUEST['q'])  && $_REQUEST['q']!="")
					{
						switch($_REQUEST['search_op'])
						{
							case "ccode":
								$query = " WHERE ccode LIKE '%$_REQUEST[q]%'";
								$selected1 = 'selected="selected"';
								break;
							case "lname":
								$query = " WHERE `".$prefix."teachers`.`plname` LIKE '%$_REQUEST[q]%'";
								$selected2 = 'selected="selected"';
								break;
							case "factor":
								$query = " WHERE factor = '$_REQUEST[q]'";
								$selected3 = 'selected="selected"';
								break;
							case "ccomment":
								$query = " WHERE ccomment LIKE '%$_REQUEST[q]%'";
								$selected4 = 'selected="selected"';
								break;
						}
						
					}
					else
						$query = "";
					if(empty($selected1) && empty($selected2) && empty($selected3) && empty($selected4))
						$selected1 = 'selected="selected"';
					$courseList = $course->GetCourseList2($query,$start,$page_limit);
					$num_of_courses = ($course->GetCourseList($query)==0?0:count($course->GetCourseList($query)));
					echo '
					<div class="hero-unit main-container" style="margin-'.$align1.':-400px; '.$align1.':50%; " align="center">
						<form action="" method="post" style="text-align:center;" name="filter_admins">
							<input type="text" name="q" id="q" class="input" style="width:150px;" value="'.$_REQUEST[q].'" /> 
							<select name="search_op" style="width:130px;" class="input">
								<option value="ccode" '.$selected1.'>'._CCODE.'</option>
								<option value="lname" '.$selected2.'>'._TEACHER_LNAME.'</option>
								<option value="factor" '.$selected3.'>'._FACTOR.'</option>
								<option value="ccomment" '.$selected4.'>'._COURSE_COMMENTS.'</option>
							</select>';
					if($num_of_courses>$page_limit)
					{
						echo ' '._PAGE.': <select name="page" style="width:80px;" class="input">';
						for($p=1;(($p-1)*$page_limit)<=$num_of_courses;$p++)
						{
							if($p==$_REQUEST['page'])
								echo '<option value="'.$p.'" selected="selected">'.$p.'</option>';
							else
								echo '<option value="'.$p.'">'.$p.'</option>';
						}
						echo '</select>';
					}
					if(isset($_REQUEST['full']))
						echo '<input type="hidden" name="full" value="1" />';
					echo '
							<input type="submit" value="'._SEARCH.'" style="width:60px;" class="input" />
						</form>
						<script type="text/javascript">
							document.filter_admins.q.focus();
						</script>
						<div id="student-container">';
					if($admin->AdminPermission($_SESSION[$admin_session_name],"allow_course_list"))
					{
						echo '
						<script type="text/javascript">
							function del_course(id)
							{
								if(confirm(\''._COURSE_ARE_SURE_YOU_WANT_TO_DELETE.'\'))
									window.location = "course.php?op=delete&cid="+id;
							}
							
						</script>
						';
						echo '<center>';
						echo _TOTAL_NUMBER_OF_COURSES.': '.$num_of_courses.' | ';
						if(isset($_REQUEST['full']))
						{
							$table_width = 'width:1000px;';
							$hidden = "";
							echo '<a href="course.php?op=list">'._STUDENT_SHOW_IMPORTANT_PROPERTIES.'</a>';
						}
						else
						{
							$hidden = "hidden";
							$table_width = '';
							echo '<a href="course.php?op=list&full=1">'._STUDENT_SHOW_ALL_PROPERTIES.'</a>';
						}
						echo '</center>';
						if($num_of_courses!=0)
						{
							//Table Header
							echo '<div style="'.$table_width.'"><table style="'.$table_width.'">
									<tr class="table_header default_font">';
							echo '<td style="width:50px;" class="small">
								'._CCODE.'
								</td>';
							echo '<td style="width:85px;" class="small">
								'._TNAME.'
								</td>';
							echo '<td style="width:100px;" class="small">
								'._COURSE_LESSON.'
								</td>';
							echo '<td style="width:100px;" class="small">
								'._COURSE_TEACHER.'
								</td>';
							echo '<td style="width:100px;" class="small">
								'._CLNAME.'
								</td>';
							echo '<td style="width:30px;" class="small '.$hidden.'">
								'._CAPACITY.'
								</td>';
							echo '<td style="width:100px;" class="small '.$hidden.'">
								'._COURSE_EXAM_DATE.'
								</td>';
							echo '<td style="width:100px;" class="small '.$hidden.'">
								'._COURSE_EXAM_PLACE.'
								</td>';
							echo '<td style="width:80px;" class="small '.$hidden.'">
								'._COURSE_COMMENTS.'
								</td>';
								
							echo '<td style="width:70px;" class="small">
									'._TOOLS.'
								</td>';
							echo '</tr>';
							///--Table Header
							$i=0;
							
							
							
							foreach($courseList as $courseProp)
							{
								if($i%2==0)
									$bgCourse = "tr_hover_class";
								else
									$bgCourse = "";
								echo '<tr style="height:30px; border-bottom:silver;" class="table_rows default_font '.$bgCourse.'">';
									
								echo '<td style="text-align:center;">
									'.$courseProp['ccode'].'
									</td>';
								
								
								
									
								echo '<td style="text-align:'.$align1.';">
									'.$courseProp['tname'].'
									</td>';

								echo '<td style="text-align:'.$align1.';">
									'.$courseProp['lname'].'
									</td>';
								
								echo '<td style="text-align:'.$align1.';">
									'.$courseProp['pfname'].' '.$courseProp['plname'].'
									</td>';
								
								echo '<td style="text-align:'.$align1.';">
									'.$courseProp['clname'].'
									</td>';

								echo '<td style="text-align:center;" class="'.$hidden.'">
									'.$courseProp['final_capacity'].'
									</td>';
								
								echo '<td style="text-align:center;" class="'.$hidden.'">
									'.$courseProp['exam_date'].'
									</td>';
									
								echo '<td style="text-align:center;" class="'.$hidden.'">
									'.$courseProp['exam_place'].'
									</td>';
									
								echo '<td style="text-align:'.$align1.';" class="'.$hidden.'">
									'.$courseProp['ccomment'].'
									</td>';
								
								echo '<td style="text-align:left;">';
								if($admin->AdminPermission($_SESSION[$admin_session_name],"allow_course_del"))
										echo '<a href="javascript:del_course('.$courseProp['cid'].')" title="'._DELETE.'"><img src="../themes/'.$theme.'/img/delete.png" style="border:0px;" /></a>';
								if($admin->AdminPermission($_SESSION[$admin_session_name],"allow_course_edit"))
										echo '<a href="course.php?op=add&cid='.$courseProp['cid'].'" title="'._EDIT.'"><img src="../themes/'.$theme.'/img/edit.png" style="border:0px;" /></a>';
									echo '</td>';
								echo '</tr>';	
								$i++;				
							}
							echo '</table></div>';
						}
					}
					else
						echo '
						<div class="alert alert-error">
								  '._ADMIN_YOU_DO_NOT_HAVE_NECCESSARY_PERMISSIONS.'!
					    </div>';
					echo '
						</div>
					</div>
					';
		break;
		
		
		case "delete":
			echo '<div class="hero-unit main-container" style="margin-'.$align1.':-400px; '.$align1.':50%; ">';
			$cid = $_REQUEST['cid'];
			$course = new ManageCourses();
			
			//Check Permission
			if($admin->AdminPermission($_SESSION[$admin_session_name],"allow_course_del"))
			{
				if($course->DeleteCourse($cid)==1)
					echo '<div class="alert alert-success">
							  '._COURSE_DELETED_SUCCESSFULLY.'.
						  </div>';
				else
					echo '<div class="alert alert-error">
							  '._PROBLEM_OCCURED_DELETING_COURSE.'!
						  </div>';
			}
			else
				echo '<div class="alert alert-error">
								  '._ADMIN_YOU_DO_NOT_HAVE_NECCESSARY_PERMISSIONS.'!
					  </div>';
			echo '</div>';
		break;
		
        default:
            # code...
        break;
    }
}

include_once('footer.php');
?>


