<?php
include_once('main.php');
include_once('header.php');
$admin = new ManageAdmins();
if (isset($_REQUEST['op']))
{
    switch ($_REQUEST['op'])
    {
        case 'add':
			if (isset($_REQUEST['add_lesson']))
			{
				
				$form_title = _ADMIN_ADD_LESSON;
				$lcode=$_POST['lcode'];
				$lname=$_POST['lname'];
				$factor=$_POST['factor'];
				$eff_on_term_avg=$_POST['eff_on_term_avg'];
				$eff_on_total_avg=$_POST['eff_on_total_avg'];
				$lcomment=$_POST['lcomment'];
				
				if(empty($error))
				{
					if(empty($lcode) || empty($lname) || empty($factor))
							$error = _SOME_FIELDS_ARE_REQUIRED;
					else
					{
						
							$class = new ManageLessons();
							if($class->LCodeAvailability($lcode)==0)
								$error = _ADMIN_LCODE_IS_RESERVED;
							else if($class->LCodeAvailability($lcode)==2)
								$error = _USERNAME_VALID_CHARACTERS;
							else
							{
								if($admin->AdminPermission($_SESSION[$admin_session_name],"allow_lesson_add"))
								{
									$adminInfo=$admin->GetAdminInfo($_SESSION[$admin_session_name]);
									$admin_id = $adminInfo[0][aid];
									$counts = $class->AddLesson($lcode,$lname,$factor,$eff_on_term_avg,$eff_on_total_avg,$lcomment,$admin_id);
								}
								else
								{
									$counts = 0;
									$error = _ADMIN_YOU_DO_NOT_HAVE_NECCESSARY_PERMISSIONS.'.<br />';
								}
								if($counts==1)
								{
									$success = _LESSON_ADDED_SUCCESSFULLY;
									unset($lcode,$lname,$factor,$eff_on_term_avg,$eff_on_total_avg,$lcomment,$admin_id);
								}
								else
								{
									$error .= _LESSON_ADDING_FAILED;
								}
							}
								
					}
				}
			}
			else if (isset($_POST['edit_lesson']) && isset($_REQUEST['lid']))
			{
				$form_title = _ADMIN_EDIT_LESSON;
				//Update Teacher
				$lid = $_REQUEST['lid'];
				
				$lcode2 = $_POST['lcode2'];
				$lcode=$_POST['lcode'];
				$lname=$_POST['lname'];
				$factor=$_POST['factor'];
				$eff_on_term_avg=$_POST['eff_on_term_avg'];
				$eff_on_total_avg=$_POST['eff_on_total_avg'];
				$lcomment=$_POST['lcomment'];
				
				
				if(empty($error))
				{
					if(empty($lcode) || empty($lname))
							$error = _SOME_FIELDS_ARE_REQUIRED;
					else
					{
							$class = new ManageLessons();
							$lessonInfo = $class->GetLessonInfoById($lid);
							if($class->LCodeAvailability($lcode)==0 && $lcode!=$_POST[lcode2] && $lessonInfo[0]['lcode']!=$lcode)
								$error = _ADMIN_LCODE_IS_RESERVED;
							else if($class->LCodeAvailability($lcode)==2)
								$error = _ADMIN_USERNAME_IS_INVALID;
							else
							{
								//Check Permission
								if($admin->AdminPermission($_SESSION[$admin_session_name],"allow_lesson_edit"))
								{
									$adminInfo=$admin->GetAdminInfo($_SESSION[$admin_session_name]);
									$admin_id = $adminInfo[0]['aid'];
									$counts = $class->UpdateLesson($lid,$lcode,$lname,$factor,$eff_on_term_avg,$eff_on_total_avg,$lcomment,$admin_id);
									if($counts==1)
									{
										$success = _LESSON_UPDATED_SUCCESSFULLY;
									}
									else
									{
											$error = _LESSON_UPDATING_FAILED;
									}
								}
								else
									$error = _ADMIN_YOU_DO_NOT_HAVE_NECCESSARY_PERMISSIONS;
							}
								
					}
				}
				
			}
			else if (!isset($_POST['edit_lesson']) && isset($_REQUEST['lid']))
			{
				$form_title = _ADMIN_EDIT_LESSON;
				//Select Admin Info
				$class = new ManageLessons();
				$lessonInfo = $class->GetLessonInfoById($_REQUEST['lid']);
				
				$lcode=$lessonInfo[0]['lcode'];
				$lname=$lessonInfo[0]['lname'];
				$factor=$lessonInfo[0]['factor'];
				$eff_on_term_avg=$lessonInfo[0]['eff_on_term_avg'];
				$eff_on_total_avg=$lessonInfo[0]['eff_on_total_avg'];
				$lcomment=$lessonInfo[0]['lcomment'];
				$lcode2=$lessonInfo[0]['lcode'];
			}

			echo '
			<div class="hero-unit main-container" style="margin-'.$align1.':-400px; '.$align1.':50%;">
					<form class="form-vertical" id="addLesson" method="post" action="">';
			if($admin->AdminPermission($_SESSION[$admin_session_name],"allow_lesson_list") || $admin->AdminPermission($_SESSION[$admin_session_name],"allow_lesson_edit"))
			{
				if(isset($error))
				{
						echo '<div class="alert alert-error">
								  '.$error.'!
							  </div>';
				}
				if(isset($success))
				{
						echo '<div class="alert alert-success">
								  '.$success.'.
							  </div>';
				}
				$eff_on_term_avg_checked1='checked="checked"';
				$eff_on_term_avg_checked2='';
				if(isset($eff_on_term_avg))
					if($eff_on_term_avg==1)
					{
						$eff_on_term_avg_checked1='checked="checked"';
						$eff_on_term_avg_checked2='';
					}
					elseif($eff_on_term_avg==0)
					{
						$eff_on_term_avg_checked2='checked="checked"';
						$eff_on_term_avg_checked1='';
					}
				
				$eff_on_total_avg_checked1='checked="checked"';
				$eff_on_total_avg_checked2='';
				if(isset($eff_on_total_avg))
					if($eff_on_total_avg==1)
					{
						$eff_on_total_avg_checked1='checked="checked"';
						$eff_on_total_avg_checked2='';
					}
					elseif($eff_on_total_avg==0)
					{
						$eff_on_total_avg_checked2='checked="checked"';
						$eff_on_total_avg_checked1='';
					}
				
						echo'<h3>'.$form_title.'</h3>
							<fieldset>
								<legend class="label">'._ADMIN_GENERAL_INFORMATION.'</legend>
								<div class="control-group">
									<label class="control-label" for="lcode">'._LCODE._REQUIRED.':</label>
									<div class="controls">
										<input value="'.$lcode.'" type="text" class="input" autocomplete="off" id="lcode" name="lcode" style="direction:ltr;" /> <span class="help">('._USERNAME_VALID_CHARACTERS.')</span>
									</div>
								</div>
								
								<div class="control-group">
									<label class="control-label" for="lname">'._LESSON_NAME._REQUIRED.':</label>
									<div class="controls">
										<input value="'.$lname.'" type="text" class="input" autocomplete="off" id="lname" name="lname" style="direction:'.$dir.';" />
									</div>
								</div>
								
								<div class="control-group">
									<label class="control-label" for="factor">'._FACTOR._REQUIRED.':</label>
									<div class="controls">
										<input value="'.$factor.'" type="text" class="input" id="factor" name="factor" style="direction:ltr; width:50px;" />
									</div>
								</div>
								
								<div class="control-group">
									<label class="control-label" for="eff_on_term_avg1">'._EFF_ON_TERM_AVE.'</label>
									<div class="controls">
										<input type="radio" class="input" id="eff_on_term_avg1" value="1" name="eff_on_term_avg" '.$eff_on_term_avg_checked1.' /> <label class="control-label" for="eff_on_term_avg1">'._YES.'</label> 
										<input type="radio" class="input" id="eff_on_term_avg2" value="0" name="eff_on_term_avg" '.$eff_on_term_avg_checked2.' /> <label class="control-label" for="eff_on_term_avg2">'._NO.'</label>
									</div>
								</div>
								
								<div class="control-group">
									<label class="control-label" for="eff_on_total_avg1">'._EFF_ON_TOTAL_AVE.'</label>
									<div class="controls">
										<input type="radio" class="input" id="eff_on_total_avg1" value="1" name="eff_on_total_avg" '.$eff_on_total_avg_checked1.' /> <label class="control-label" for="eff_on_total_avg1">'._YES.'</label> 
										<input type="radio" class="input" id="eff_on_total_avg2" value="0" name="eff_on_total_avg" '.$eff_on_total_avg_checked2.' /> <label class="control-label" for="eff_on_total_avg2">'._NO.'</label>
									</div>
								</div>
								
								<div class="control-group">
									<label class="control-label" for="lcomment">'._LESSON_COMMENTS.':</label>
									<div class="controls">
										<textarea name="lcomment" cols="30" rows="3" id="lcomment" style="direction:'.$dir.';" class="default_font">'.$lcomment.'</textarea>
									</div>
								</div>
							</fieldset>
							';
							if(isset($_REQUEST['lid']))
								echo'
							<input type="hidden" name="lid" value="'.$_REQUEST['lid'].'" />
							<input type="hidden" name="lcode2" value="'.$lcode2.'" />
							<center><input type="submit" name="edit_lesson" value="'._UPDATE.'" class="btn btn-primary btn-large"  />';
							else
								echo'
							<center><input type="submit" name="add_lesson" value="'._ADD.'" class="btn btn-primary btn-large"  />';
				}
				else
					echo '<div class="alert alert-error">
								  '._ADMIN_YOU_DO_NOT_HAVE_NECCESSARY_PERMISSIONS.'!
							  </div>';
					echo'
					</form>
				</p>
			</div>
		';            
        break;
        
        case "list":
					$lesson = new ManageLessons();
					if(isset($_REQUEST['page']))
						$start = ($_REQUEST['page']-1)*$page_limit;
					else
						$start = 0;
						
					$selected1=$selected2=$selected3=$selected4="";
					if(isset($_REQUEST['q']) && $_REQUEST['q']!="")
					{
						switch($_REQUEST['search_op'])
						{
							case "lcode":
								$query = " WHERE lcode LIKE '%$_REQUEST[q]%'";
								$selected1 = 'selected="selected"';
								break;
							case "lname":
								$query = " WHERE lname LIKE '%$_REQUEST[q]%'";
								$selected2 = 'selected="selected"';
								break;
							case "factor":
								$query = " WHERE factor = '$_REQUEST[q]'";
								$selected3 = 'selected="selected"';
								break;
							case "lcomment":
								$query = " WHERE lcomment LIKE '%$_REQUEST[q]%'";
								$selected4 = 'selected="selected"';
								break;
						}
						
					}
					else
						$query = "";
					if(empty($selected1) && empty($selected2) && empty($selected3) && empty($selected4))
						$selected1 = 'selected="selected"';
					$lessonList = $lesson->GetLessonList2($query,$start,$page_limit);
					$num_of_lessons = ($lesson->GetLessonList($query)==0?0:count($lesson->GetLessonList($query)));
					echo '
					<div class="hero-unit main-container" style="margin-'.$align1.':-400px; '.$align1.':50%; " align="center">
						<form action="" method="post" style="text-align:center;" name="filter_admins">
							<input type="text" name="q" id="q" class="input" style="width:150px;" value="'.$_REQUEST[q].'" /> 
							<select name="search_op" style="width:130px;" class="input">
								<option value="lcode" '.$selected1.'>'._LCODE.'</option>
								<option value="lname" '.$selected2.'>'._LESSON_NAME.'</option>
								<option value="factor" '.$selected3.'>'._FACTOR.'</option>
								<option value="lcomment" '.$selected4.'>'._LESSON_COMMENTS.'</option>
							</select>';
					if($num_of_lessons>$page_limit)
					{
						echo ' '._PAGE.': <select name="page" style="width:80px;" class="input">';
						for($p=1;(($p-1)*$page_limit)<=$num_of_lessons;$p++)
						{
							if($p==$_REQUEST['page'])
								echo '<option value="'.$p.'" selected="selected">'.$p.'</option>';
							else
								echo '<option value="'.$p.'">'.$p.'</option>';
						}
						echo '</select>';
					}
					echo '
							<input type="submit" value="'._SEARCH.'" style="width:60px;" class="input" />
						</form>
						<script type="text/javascript">
							document.filter_admins.q.focus();
						</script>
						<div id="class-container">';
					if($admin->AdminPermission($_SESSION[$admin_session_name],"allow_lesson_list"))
					{
						echo '<center>'._TOTAL_NUMBER_OF_LESSONS.': '.$num_of_lessons.'</center>';
						if($num_of_lessons!=0)
						{
							echo '
							<script type="text/javascript">
								function del_lesson(id)
								{
									if(confirm(\''._LESSON_ARE_SURE_YOU_WANT_TO_DELETE.'\'))
										window.location = "lesson.php?op=delete&lid="+id;
								}
								
							</script>
							';

							$table_width = 'width:700px;';
							$hidden = "";
							//Table Header
							echo '<div style="'.$table_width.'"><table style="'.$table_width.'">
									<tr class="table_header default_font">';
							echo '<td style="width:50px;" class="small">
								'._LCODE.'
								</td>';
							echo '<td style="width:120px;" class="small">
								'._LESSON_NAME.'
								</td>';
							echo '<td style="width:30px;" class="small '.$hidden.'">
								'._FACTOR.'
								</td>';
							echo '<td style="width:100px;" class="small '.$hidden.'">
								'._EFF_ON_TERM_AVE.'
								</td>';
							echo '<td style="width:100px;" class="small '.$hidden.'">
								'._EFF_ON_TOTAL_AVE.'
								</td>';
							echo '<td style="width:80px;" class="small '.$hidden.'">
								'._LESSON_COMMENTS.'
								</td>';
								
							echo '<td style="width:70px;" class="small">
									'._TOOLS.'
								</td>';
							echo '</tr>';
							///--Table Header
							$i=0;
							foreach($lessonList as $lessonProp)
							{
								if($i%2==0)
									$bgLesson = "tr_hover_class";
								else
									$bgLesson = "";
								echo '<tr style="height:30px; border-bottom:silver;" class="table_rows default_font '.$bgLesson.'">';
									
								echo '<td style="text-align:center;">
									'.$lessonProp['lcode'].'
									</td>';
									
								echo '<td style="text-align:'.$align1.';">
									'.$lessonProp['lname'].'
									</td>';
								
								echo '<td style="text-align:center;">
									'.$lessonProp['factor'].'
									</td>';
								
								echo '<td style="text-align:center;">
									'.($lessonProp['eff_on_term_avg']==1?_YES:_NO).'
									</td>';
								
								echo '<td style="text-align:center;">
									'.($lessonProp['eff_on_total_avg']==1?_YES:_NO).'
									</td>';
									
								echo '<td style="text-align:'.$align1.';" class="'.$hidden.'">
									'.$lessonProp['lcomment'].'
									</td>';
								
								echo '<td style="text-align:left;">';
								if($admin->AdminPermission($_SESSION[$admin_session_name],"allow_lesson_del"))
										echo '<a href="javascript:del_lesson('.$lessonProp['lid'].')" title="'._DELETE.'"><img src="../themes/'.$theme.'/img/delete.png" style="border:0px;" /></a>';
								if($admin->AdminPermission($_SESSION[$admin_session_name],"allow_lesson_edit"))
										echo '<a href="lesson.php?op=add&lid='.$lessonProp['lid'].'" title="'._EDIT.'"><img src="../themes/'.$theme.'/img/edit.png" style="border:0px;" /></a>';
									echo '</td>';
								echo '</tr>';	
								$i++;				
							}
							echo '</table></div>';
						}
						
					}
					else
						echo '
						<div class="alert alert-error">
								  '._ADMIN_YOU_DO_NOT_HAVE_NECCESSARY_PERMISSIONS.'!
					    </div>';
					echo '
						</div>
					</div>
					';
		break;
		
		
		case "delete":
			echo '<div class="hero-unit main-container" style="margin-'.$align1.':-400px; '.$align1.':50%; ">';
			$lid = $_REQUEST['lid'];
			$class = new ManageLessons();
			
			//Check Permission
			if($admin->AdminPermission($_SESSION[$admin_session_name],"allow_lesson_del"))
			{
				if($class->DeleteLesson($lid)==1)
					echo '<div class="alert alert-success">
							  '._LESSON_DELETED_SUCCESSFULLY.'.
						  </div>';
				else
					echo '<div class="alert alert-error">
							  '._PROBLEM_OCCURED_DELETING_LESSON.'!
						  </div>';
			}
			else
				echo '<div class="alert alert-error">
								  '._ADMIN_YOU_DO_NOT_HAVE_NECCESSARY_PERMISSIONS.'!
					  </div>';
			echo '</div>';
		break;
		
        default:
            # code...
        break;
    }
}

include_once('footer.php');
?>


