<?php
include('main.php');
include_once('header.php');
$admin = new ManageAdmins();
if (isset($_REQUEST['op']))
{
    switch ($_REQUEST['op'])
    {
        case "settings":
			$form_title = _ADMIN_MODIFY_SYSTEM_SETTINGS;
			if (isset($_POST['update_settings']))
			{
				$manage_settings = new ManageSettings();
				$system_title = $_POST['system_title'];
				$institute_name = $_POST['institute_name'];
				$allow_user_modify_profile = $_POST['allow_user_modify_profile'];
				$lang = $_POST['language'];
				$direction = $_POST['dir'];
				$theme = $_POST['theme'];
				$jamaa_active = $_POST['jamaa_active'];
				$files_final_size = $_POST['files_final_size'];
				$bulk_email = $_POST['bulk_email'];
				$adminInfo=$admin->GetAdminInfo($_SESSION[$admin_session_name]);
				$admin_id = $adminInfo[0]['aid'];
				
				if($admin->AdminPermission($_SESSION[$admin_session_name],"allow_settings"))
				{
					if($manage_settings->UpdateSettings($system_title,$institute_name,$allow_user_modify_profile,$lang,$direction,$theme,$jamaa_active,$files_final_size,$bulk_email,$admin_id)!=1)
						$error = _SETTINGS_UPDATING_FAILED;
					else
						$success = _SETTINGS_UPDATED_SUCCESSFULLY;
				}
				else
						$error = _ADMIN_YOU_DO_NOT_HAVE_NECCESSARY_PERMISSIONS;
				
			}
			$allow_user_modify_profile_checked1=$allow_user_modify_profile_checked2="";
			if($allow_user_modify_profile==1)
				$allow_user_modify_profile_checked1='checked="checked"';
			else
				$allow_user_modify_profile_checked2='checked="checked"';
			


			echo '
			<div class="hero-unit main-container" style="margin-'.$align1.':-400px; '.$align1.':50%;">
					<form class="form-vertical" id="UpdateSettings" method="post" action="">';
			if($admin->AdminPermission($_SESSION[$admin_session_name],"allow_settings"))
			{
				if(isset($error))
				{
						echo '<div class="alert alert-error">
								  '.$error.'!
							  </div>';
				}
				if(isset($success))
				{
						echo '<div class="alert alert-success">
								  '.$success.'.
							  </div>';
				}
				
						echo'<h3>'.$form_title.'</h3>
							<fieldset>
								<legend class="label">'._ADMIN_GENERAL_INFORMATION.'</legend>
								<div class="control-group">
									<label class="control-label" for="system_title">'._SYSTEM_TITLE._REQUIRED.':</label>
									<div class="controls">
										<input value="'.$system_title.'" type="text" class="input" autocomplete="off" id="system_title" name="system_title" style="direction:'.$dir.';" />
									</div>
								</div>
								
								<div class="control-group">
									<label class="control-label" for="institute_name">'._INSTITUTE_NAME._REQUIRED.':</label>
									<div class="controls">
										<input value="'.$institute_name.'" type="text" class="input" autocomplete="off" id="institute_name" name="institute_name" style="direction:'.$dir.';" />
									</div>
								</div>
								
								<div class="control-group">
									<label class="control-label" for="allow_user_modify_profile1">'._ALLOW_USERS_MODIFY_PROFILE.'</label>
									<div class="controls">
										<input type="radio" id="allow_user_modify_profile1" name="allow_user_modify_profile" value="1" '.$allow_user_modify_profile_checked1.' style="width:15px;" /> '._YES.' <input type="radio" id="allow_user_modify_profile2" name="allow_user_modify_profile" value="0" '.$allow_user_modify_profile_checked2.' style="width:15px;" /> '._NO.'
									</div>
								</div>
								
								<div class="control-group">
									<label class="control-label" for="language">'._LANG.':</label>
									<div class="controls">
										<select name="language" style="width:150px; direction:ltr;">
								';
							$directory=opendir('../lang');
						
							while (false != ($file=readdir($directory)))
							{
								if (strpos($file, '.php', 1))
								{
									$rest=substr("$file", 0, -4);
						
									if ($rest == $lang)
										echo ('<option selected="selected" value="' . $rest . '">' . ucfirst($rest) . '</option>');
									else
										echo ('<option value="' . $rest . '">' . ucfirst($rest) . '</option>');
								}
							}
						
							closedir ($directory);
							$dir_selected1=$dir_selected2="";
							if($dir=="rtl")
								$dir_selected1='checked="checked"';
							else
								$dir_selected2='checked="checked"';
							echo '	</select>
									</div>
								</div>
								<div class="control-group">
									<label class="control-label">'._DIR.':</label>
									<div class="controls">
										<input type="radio" name="dir" id="dir1" value="rtl" '.$dir_selected1.' /> <label for="dir1">'._RTL.'</label> 
										<input type="radio" name="dir" id="dir2" value="ltr" '.$dir_selected2.' /> <label for="dir2">'._LTR.'</label> 
									</div>
								</div>
								<br />
							<div class="control-group">
									<label class="control-label" for="theme">'._THEME.':</label>
									<div class="controls">
										<select name="theme" style="width:150px; direction:ltr;">
								';
							$path = '../themes';
							$results = scandir('../themes');
							
							foreach ($results as $result) {
								if ($result === '.' or $result === '..') continue;
							
								if (is_dir($path . '/' . $result)) {
									if ($result == $theme)
										echo ('<option selected="selected" value="' . $result . '">' . ucfirst($result) . '</option>');
									else
										echo ('<option value="' . $result . '">' . ucfirst($result) . '</option>');
								}
							}
													
							$jamaa_active_checked1=$jamaa_active_checked2="";
							if($jamaa_active==1)
								$jamaa_active_checked1 = 'checked="checked"';
							else
								$jamaa_active_checked2 = 'checked="checked"';
							
							$bulk_email_checked1=$bulk_email_checked2="";
							if($bulk_email==1)
								$bulk_email_checked1 = 'checked="checked"';
							else
								$bulk_email_checked2 = 'checked="checked"';


							echo '	</select>
									</div>
								</div>
							
							<div class="control-group">
								<label class="control-label">'._JAMAA_IS_ENABLED_OR_NOT.'</label>
								<div class="controls">
									<input type="radio" id="jamaa_active1" name="jamaa_active" value="1" '.$jamaa_active_checked1.' style="width:15px;" /> <label for="jamaa_active1">'._YES.'</label> <input type="radio" id="jamaa_active2" name="jamaa_active" value="0" '.$jamaa_active_checked2.' style="width:15px;" /> <label for="jamaa_active2">'._NO.'</label>
								</div>
							</div>
							
							<div class="control-group">
								<label class="control-label" for="files_final_size">'._HOMEWORK_FINAL_FILE_SIZE._REQUIRED.'</label>
								<div class="controls">
									<input value="'.$files_final_size.'" type="text" class="input" autocomplete="off" id="files_final_size" name="files_final_size" style="direction:ltr; width:50px;" /> ('._IN_KB.')
								</div>
							</div>
							
							<div class="control-group">
								<label class="control-label">'._BULK_EMAIL_IS_ENABLED_OR_NOT.'</label>
								<div class="controls">
									<input type="radio" id="bulk_email_1" name="bulk_email" value="1" '.$bulk_email_checked1.' style="width:15px;" /> <label for="bulk_email_1">'._YES.'</label> <input type="radio" id="bulk_email_2" name="bulk_email" value="0" '.$bulk_email_checked2.' style="width:15px;" /> <label for="bulk_email_2">'._NO.'</label>
								</div>
							</div>
							
							</fieldset>
							';
							
							echo'
							<center><input type="submit" name="update_settings" value="'._UPDATE.'" class="btn btn-primary btn-large"  /></center>';
							if($jamaa_active==1)
							{
								echo '
							<script language = "javascript">
							var XMLHttpRequestObject = false; 
		
							if (window.XMLHttpRequest) {
								XMLHttpRequestObject = new XMLHttpRequest();
							} else if (window.ActiveXObject) {
								XMLHttpRequestObject = new ActiveXObject("Microsoft.XMLHTTP");
							}

							function getData(dataSource, divID) 
							{ 
								if(XMLHttpRequestObject) {
								  var obj = document.getElementById(divID); 
								  XMLHttpRequestObject.open("GET", dataSource); 

								  XMLHttpRequestObject.onreadystatechange = function() 
								  { 
									obj.innerHTML = "<img src=\'../img/wait.gif\'>";
									if (XMLHttpRequestObject.readyState == 4 && XMLHttpRequestObject.status == 200) { 
										obj.innerHTML = XMLHttpRequestObject.responseText; 
									} 
								  } 

								  XMLHttpRequestObject.send(null); 
								}
							}
							</script>
								<hr />
								<div class="control-group">
									<label class="control-label">'._ADMIN_CLEANUP_HOMEWORK_FOLDER.':</label><br />
									<span class="help">'._CLEANUP_HELP.'.</span><br />
									<div class="controls">
										<center id="cleanup_result"><input type="button" onclick="getData(\'aj.php?op=cleanup\', \'cleanup_result\')" value="'._CLEANUP.'" class="btn btn-primary btn-large"  /></center>
										
									</div>
								</div>							
								';
							}
				}
				else
					echo '<div class="alert alert-error">
								  '._ADMIN_YOU_DO_NOT_HAVE_NECCESSARY_PERMISSIONS.'!
							  </div>';
					echo'
					</form>
				</p>
			</div>
		';            
        break;
        
		
		////////////////////////////Message Management
		
		case "homepage_message":
			$form_title = _ADMIN_MODIFY_HOMEPAGE_MESSAGE;
			if (isset($_POST['update_messages']))
			{
				$user_homepage_message = $_REQUEST['user_homepage_message'];
				$users_message = $_REQUEST['users_message'];
				$teachers_message = $_REQUEST['teachers_message'];
				$admins_message = $_REQUEST['admins_message'];

				$adminInfo=$admin->GetAdminInfo($_SESSION[$admin_session_name]);
				$admin_id = $adminInfo[0]['aid'];
				
				$manage_settings = new ManageSettings();
				if($admin->AdminPermission($_SESSION[$admin_session_name],"allow_homepage_message"))
				{
					if($manage_settings->UpdateMessages($user_homepage_message,$users_message,$teachers_message,$admins_message,$admin_id)!=1)
						$error = _SETTINGS_UPDATING_FAILED;
					else
						$success = _SETTINGS_UPDATED_SUCCESSFULLY;
				}
				else
						$error = _ADMIN_YOU_DO_NOT_HAVE_NECCESSARY_PERMISSIONS;
				
			}
			else
			{
				
				$user_homepage_message = $system_settings[0]['user_homepage_message'];
				$users_message = $system_settings[0]['users_message'];
				$teachers_message = $system_settings[0]['teachers_message'];
				$admins_message = $system_settings[0]['admins_message'];
			}


			echo '
			<div class="hero-unit main-container" style="margin-'.$align1.':-400px; '.$align1.':50%;">
					<form class="form-vertical" id="UpdateSettings" method="post" action="">';
			if($admin->AdminPermission($_SESSION[$admin_session_name],"allow_homepage_message"))
			{
				if(isset($error))
				{
						echo '<div class="alert alert-error">
								  '.$error.'!
							  </div>';
				}
				if(isset($success))
				{
						echo '<div class="alert alert-success">
								  '.$success.'.
							  </div>';
				}
				
						echo'<h3>'.$form_title.'</h3>
							<fieldset>
								<legend class="label">'._ADMIN_GENERAL_INFORMATION.'</legend>
								<div class="control-group">
									<label class="control-label" for="user_homepage_message">'._USER_HOMEPAGE_MESSAGE.':</label>
									<div class="controls">
										<textarea name="user_homepage_message" cols="80" rows="3" id="user_homepage_message" style="direction:'.$dir.'; width:400px; height:150px;" class="default_font">'.$user_homepage_message.'</textarea>
									</div>
								</div>
								
								<div class="control-group">
									<label class="control-label" for="users_message">'._USERS_MESSAGE.':</label>
									<div class="controls">
										<textarea name="users_message" cols="80" rows="3" id="users_message" style="direction:'.$dir.'; width:400px; height:150px;" class="default_font">'.$users_message.'</textarea>
									</div>
								</div>
								
								<div class="control-group">
									<label class="control-label" for="teachers_message">'._TEACHERS_MESSAGE.':</label>
									<div class="controls">
										<textarea name="teachers_message" cols="80" rows="3" id="teachers_message" style="direction:'.$dir.'; width:400px; height:150px;" class="default_font">'.$teachers_message.'</textarea>
									</div>
								</div>
								
								<div class="control-group">
									<label class="control-label" for="admins_message">'._ADMINS_MESSAGE.':</label>
									<div class="controls">
										<textarea name="admins_message" cols="80" rows="3" id="admins_message" style="direction:'.$dir.'; width:400px; height:150px;" class="default_font">'.$admins_message.'</textarea>
									</div>
								</div>
								
								
							</fieldset>
							';
							
								echo'
							<center><input type="submit" name="update_messages" value="'._UPDATE.'" class="btn btn-primary btn-large"  />';
				}
				else
					echo '<div class="alert alert-error">
								  '._ADMIN_YOU_DO_NOT_HAVE_NECCESSARY_PERMISSIONS.'!
							  </div>';
					echo'
					</form>
				</p>
			</div>
		';   
		
		break;
		
		////////////////////////////About Nomra
		
		case "about":
			$form_title = _ABOUT_NOMRA;
			
			echo '
			<div class="hero-unit main-container" style="margin-'.$align1.':-400px; '.$align1.':50%;">';
			echo '
				<img src="../img/nomra.png" />
				<h3>'.$form_title.'</h3>
				'._ABOUT_NOMRA_SYSTEM_NAME.': '._ABOUT_NOMRA_SYSTEM_NAME2.'<br />
				'._ABOUT_NOMRA_SYSTEM_DESIGNER.': '._ABOUT_NOMRA_SYSTEM_DESIGNER2.' (<a href="http://niroomand.ir" target="_blank">http://niroomand.ir</a>)<br />
				'._ABOUT_NOMRA_SYSTEM_LICENSE.': '._ABOUT_NOMRA_SYSTEM_LICENSE2.'<br />
				'._ABOUT_NOMRA_SYSTEM_VERSION.': '._ABOUT_NOMRA_SYSTEM_VERSION2.' (<a href="http://aftab.cc/nomra/update.php?version='._ABOUT_NOMRA_SYSTEM_VERSION2.'" target="_blank">'._ABOUT_NOMRA_SYSTEM_CHECK_FOR_UPDATE.'</a>)<br />
				'._ABOUT_NOMRA_OFFICIAL_WEBSITE.': <a href="http://nomra.ir" target="_blank">http://nomra.ir</a><br />
				'._ABOUT_NOMRA_PUBLISHED_AT.': '._ABOUT_NOMRA_PUBLISHED_AT2.' (<a href="http://aftab.cc" target="_blank">http://aftab.cc</a>)<br />
				'._ABOUT_NOMRA_DOCUMENTS.': <a href="http://help.nomra.ir" target="_blank">http://help.nomra.ir</a><br />
				'._ABOUT_NOMRA_SUPPORT_FORUMS.': <a href="http://yourl.ir/nomra_forums" target="_blank">http://yourl.ir/nomra_forums</a><br />
			';
				
			echo'
					</form>
				</p>
			</div>
		';   
		
		break;
        
    }
}

include_once('footer.php');
?>


