<?php
include_once('class.database.php');
class ManageObjections
{
	public $link;
	
	function __construct()
	{
		global $prefix;
		$db_connection = new dbConnection();
		$this->link = $db_connection->connect();
		
		return $this->link;		
	}
	
	function AddObjection($csid,$otext)
	{
		global $prefix;
		$query = $this->link->prepare("INSERT INTO `".$prefix."objections` (`csid`,`otext`,`odate`)
		VALUES (?,?,NOW())
		");
		$values = array($csid,$otext);
		$query->execute($values);
		$counts = $query->rowCount();
		
		return $counts;
	}

	
	function GetObjectionInfo($csid)
	{
		global $prefix;
		$query = $this->link->prepare("SELECT * FROM `".$prefix."objections` WHERE `csid`=?");
		$values = array($csid);
		$query->execute($values);
		$counts = $query->rowCount();
		if($counts==1)
		{
			$result = $query->fetchAll();
			
			return $result;			
		}
		else
		{
			return $counts;
		}
		
	}
	
	function GetCourseObjections($cid)
	{
		global $prefix;
		$query = $this->link->prepare("SELECT * FROM `".$prefix."objections` INNER JOIN `".$prefix."course_student` ON `".$prefix."objections`.`csid`=`".$prefix."course_student`.`csid` INNER JOIN `".$prefix."students` ON `".$prefix."course_student`.`sid`=`".$prefix."students`.`sid` INNER JOIN `".$prefix."courses` ON `".$prefix."course_student`.`cid`=`".$prefix."courses`.`cid` WHERE `".$prefix."courses`.`cid`=? AND `".$prefix."objections`.`ostatus`=1 ORDER BY `".$prefix."objections`.`oid` DESC");
		$values = array($cid);
		$query->execute($values);
		$counts = $query->rowCount();
		if($counts>=1)
		{
			$result = $query->fetchAll();
			
			return $result;			
		}
		else
		{
			return $counts;
		}
		
	}
	
	function UpdateObjectionStatus($csid,$ostatus)
	{
		global $prefix;
		$query = $this->link->prepare("UPDATE `".$prefix."objections` SET `ostatus`=?  WHERE `csid`=?");
		$values = array($ostatus,$csid);

		$query->execute($values);
		$counts = $query->rowCount();
		
		return $counts;
	}
	
	
}

?>
