<?php
include_once('class.database.php');
class ManageSettings
{
	public $link;
	
	function __construct()
	{
		$db_connection = new dbConnection();
		$this->link = $db_connection->connect();
		
		return $this->link;		
	}
	
	function UpdateSettings($system_title,$institute_name,$allow_user_modify_profile,$lang,$direction,$theme,$jamaa_active,$files_final_size,$bulk_email,$admin_id)
	{
		global $prefix;
		$query = $this->link->prepare("UPDATE `".$prefix."settings` SET `system_title`=?, `institute_name`=?, `allow_user_modify_profile`=?, `lang`=?, `dir`=?, `theme`=?, `jamaa_active`=?, `files_final_size`=?, `bulk_email`=?, `admin_id`=? WHERE `id`=1");
		$values = array($system_title,$institute_name,$allow_user_modify_profile,$lang,$direction,$theme,$jamaa_active,$files_final_size,$bulk_email,$admin_id);

		$query->execute($values);
		$counts = $query->rowCount();
		
		return $counts;
	}
	
	function UpdateMessages($user_homepage_message,$users_message,$teachers_message,$admins_message,$admin_id)
	{
		global $prefix;
		$query = $this->link->prepare("UPDATE `".$prefix."settings` SET `user_homepage_message`=?, `users_message`=?, `teachers_message`=?, `admins_message`=?, `admin_id`=? WHERE `id`=1");
		$values = array($user_homepage_message,$users_message,$teachers_message,$admins_message,$admin_id);

		$query->execute($values);
		$counts = $query->rowCount();
		
		return $counts;
	}
	
	function SystemSettings()
	{
		global $prefix;
		$query = $this->link->query("SELECT * FROM `".$prefix."settings` ORDER BY `id` DESC LIMIT 0,1");
		$counts = $query->rowCount();
		if($counts>=1)
		{
			$result = $query->fetchAll();
			
			return $result;			
		}
		else
		{
			return $counts;
		}
	}

	
	
}

?>
