<?php
include_once('main.php');
switch($_REQUEST['op'])
{
	case "change_pass":
	if(empty($_REQUEST['current_pass']) || empty($_REQUEST['new_pass']) || empty($_REQUEST['confirm_pass']))
		die ('<div class="alert alert-error">'._SOME_FIELDS_ARE_REQUIRED.'</div>');
	if($_REQUEST['new_pass']!=$_REQUEST['confirm_pass'])
		echo '<div class="alert alert-error">'._NEW_PASSWORD_NOT_MATCH_CONFIRMATION.'!</div>';
	else
	{
		$pcode = $_SESSION[$teacher_session_name];
		$teacher = new ManageTeachers();
		$teacherProp = $teacher->GetTeacherInfoByPCode($pcode);
		$pid = $teacherProp[0]['pid'];
		$current_pass = $_REQUEST['current_pass'];
		$new_pass = $_REQUEST['new_pass'];

		switch($teacher->ChangePassword($pid,$current_pass,$new_pass))
		{
			case 1:
				echo '<div class="alert alert-error">'._CURRENT_PASSWORD_IS_NOT_CORRECT.'!</div>';
				break;
			case 2:
				echo '<div class="alert alert-success">'._ADMIN_PASSWORD_UPDATED_SUCCESSFULLY.'.</div>';
				break;
			default:
				echo '<div class="alert alert-error">'._PROBLEM_OCCURED_IN_CHANGING_PASSWORD.'!</div>';
				break;
			
		}
		
	}
	break;
	
	case "del_homework_file":
		if(isset($_REQUEST['hid']) && isset($_REQUEST['csid']))
		{
			$homework = new ManageHomeworks();
			if(!$homework->TeacherAccessCheck("csid",$_REQUEST['csid'],$_SESSION[$teacher_session_name]) || !$homework->TeacherAccessCheck("hid",$_REQUEST['hid'],$_SESSION[$teacher_session_name]))
				die('<span class="alert alert-error">'._ADMIN_YOU_DO_NOT_HAVE_NECCESSARY_PERMISSIONS.'!!</span>');
			$homeworkDoneInfo = $homework->GetHomeworkDoneInfo($_REQUEST['hid'],$_REQUEST['csid']);
			if(unlink('../homework/'.$homeworkDoneInfo[0]['file_name']))
				echo _HOMEWORK_FILE_DELETED_SUCCESSFULLY.'...';
		}
	break;
	
	case "bulk_email":
		if(isset($_REQUEST['cid']) && isset($_REQUEST['emailbody']))
		{
			if(empty($_REQUEST['cid']) || empty($_REQUEST['emailbody']))
				die('<span class="alert alert-error">'._SOME_FIELDS_ARE_REQUIRED.'!!</span>');
			$homework = new ManageHomeworks();
			$emailbody = $_REQUEST['emailbody'];
			if(!$homework->TeacherAccessCheck("cid",$_REQUEST['cid'],$_SESSION[$teacher_session_name]))
				die('<span class="alert alert-error">'._ADMIN_YOU_DO_NOT_HAVE_NECCESSARY_PERMISSIONS.'!!</span>');
			if($bulk_email==1)
			{
				$query = 'WHERE `'.$prefix.'course_student`.`cid`=\''.$_REQUEST['cid'].'\' AND `semail`!="" ';
				$cs = new ManageCourseStudents();
				$emailList = $cs->GetCourseStudentList($query," ORDER BY `semail`");
				$num_emailed_students = 0;
				foreach($emailList as $semail)
				{
					if(mail($semail['semail'],_TEACHER_BULK_EMAIL_SUBJECT.' '._TEACHER_TITLE.' '.$semail['pfname'].' '.$semail['plname'],"<html>
																					<head>
																					  <title>".$system_title."</title>
																					</head>
																					<body dir=\"".$dir."\" style=\"font-family:Tahoma; font-size:9pt;\">
																					<div style=\"border: solid 1px #DB3484; padding:5px;\">
																					<div style=\"background-color:#DB3484; padding-".$align1.":5px; direction: ".$dir."; text-align: ".$align1."; font-weight: bold;
																						font-size: 12px; color: #FFFFFF; height:25px;\">".nl2br($emailbody)."
																					</div>
																					</body>
																					</html>","MIME-Version: 1.0 \r\nContent-type: text/html; charset=utf-8\r\nTo: ".$semail['sfname']." ".$semail['slname']."<".$semail['semail'].">\r\nFrom: ".$semail['pfname']." ".$semail['plname']."<".$semail['pemail'].">"))
						$num_emailed_students++;
				}
				echo '<span class="alert alert-success">'._MAIL_SENT_TO1.' '.$num_emailed_students.' '._MAIL_SENT_TO2.'!</span>
				<script type="text/javascript">
				document.getElementById(\'emailbody\').style.display = "none";
				</script>
				';
			}
		}
	break;
}
?>


