<?php
include_once('main.php');
include_once('header.php');
$admin = new ManageAdmins();
if (isset($_REQUEST['op']))
{
    switch ($_REQUEST['op'])
    {
        case 'add':
			if (isset($_REQUEST['add_term']))
			{
				
				$form_title = _ADMIN_ADD_TERM;
				$tcode=$_POST['tcode'];
				$tname=$_POST['tname'];
				$tcomment=$_POST['tcomment'];
				
				if(empty($error))
				{
					if(empty($tcode) || empty($tname))
							$error = _SOME_FIELDS_ARE_REQUIRED;
					else
					{
						$term = new ManageTerms();
						if($term->TCodeAvailability($tcode)==0)
							$error = _ADMIN_TCODE_IS_RESERVED;
						else if($term->TCodeAvailability($tcode)==2)
							$error = _USERNAME_VALID_CHARACTERS;
						else
						{
							if($admin->AdminPermission($_SESSION[$admin_session_name],"allow_term_add"))
							{
								$adminInfo=$admin->GetAdminInfo($_SESSION[$admin_session_name]);
								$admin_id = $adminInfo[0][aid];
								
								$counts = $term->AddTerm($tcode,$tname,$tcomment,$admin_id);
							}
							else
							{
								$counts = 0;
								$error = _ADMIN_YOU_DO_NOT_HAVE_NECCESSARY_PERMISSIONS.'.<br />';
							}
							if($counts==1)
							{
								$success = _TERM_ADDED_SUCCESSFULLY;
								unset($tcode,$tname,$tcomment,$admin_id);
							}
							else
							{
								$error .= _TERM_ADDING_FAILED;
							}
						}
					}
				}
			}
			else if (isset($_POST['edit_term']) && isset($_REQUEST['tid']))
			{
				$form_title = _ADMIN_EDIT_TERM;
				//Update Teacher
				$tid = $_REQUEST['tid'];
				
				$tcode2 = $_POST['tcode2'];
				$tcode=$_POST['tcode'];
				$tname=$_POST['tname'];
				$tcomment=$_POST['tcomment'];
				
				
				if(empty($error))
				{
				
					if(empty($tcode) || empty($tname))
							$error = _SOME_FIELDS_ARE_REQUIRED;
					else
					{
							$term = new ManageTerms();
							$termInfo = $term->GetTermInfoById($tid);
							if($term->TCodeAvailability($tcode)==0 && $tcode!=$_POST['tcode2'] && $termInfo[0]['tcode']!=$tcode)
								$error = _ADMIN_TCODE_IS_RESERVED;
							else if($term->TCodeAvailability($tcode)==2)
								$error = _ADMIN_USERNAME_IS_INVALID;
							else
							{
								//Check Permission
								if($admin->AdminPermission($_SESSION[$admin_session_name],"allow_term_edit"))
								{
									$adminInfo=$admin->GetAdminInfo($_SESSION[$admin_session_name]);
									$admin_id = $adminInfo[0]['aid'];
									$counts = $term->UpdateTerm($tid,$tcode,$tname,$tcomment,$admin_id);
									if($counts==1)
									{
										$success = _TERM_UPDATED_SUCCESSFULLY;
									}
									else
									{
											$error = _TERM_UPDATING_FAILED;
									}
								}
								else
									$error = _ADMIN_YOU_DO_NOT_HAVE_NECCESSARY_PERMISSIONS;
							}
								
					}
				}
				
			}
			else if (!isset($_POST['edit_term']) && isset($_REQUEST['tid']))
			{
				$form_title = _ADMIN_EDIT_TERM;
				//Select Admin Info
				$term = new ManageTerms();
				$termInfo = $term->GetTermInfoById($_REQUEST['tid']);
				
				$tcode=$termInfo[0]['tcode'];
				$tname=$termInfo[0]['tname'];
				$tcomment=$termInfo[0]['tcomment'];
				$tcode2 = $termInfo[0]['tcode'];
			}

			echo '
			<div class="hero-unit main-container" style="margin-'.$align1.':-400px; '.$align1.':50%;">
					<form class="form-vertical" id="addTerm" method="post" action="">';
			if($admin->AdminPermission($_SESSION[$admin_session_name],"allow_term_list") || $admin->AdminPermission($_SESSION[$admin_session_name],"allow_term_edit"))
			{
				if(isset($error))
				{
						echo '<div class="alert alert-error">
								  '.$error.'!
							  </div>';
				}
				if(isset($success))
				{
						echo '<div class="alert alert-success">
								  '.$success.'.
							  </div>';
				}
				
						echo'<h3>'.$form_title.'</h3>
							<fieldset>
								<legend class="label">'._ADMIN_GENERAL_INFORMATION.'</legend>
								<div class="control-group">
									<label class="control-label" for="tcode">'._TCODE._REQUIRED.':</label>
									<div class="controls">
										<input value="'.$tcode.'" type="text" class="input" autocomplete="off" id="tcode" name="tcode" style="direction:ltr;" /> <span class="help">('._USERNAME_VALID_CHARACTERS.')</span>
									</div>
								</div>
								
								<div class="control-group">
									<label class="control-label" for="tcode">'._TNAME._REQUIRED.':</label>
									<div class="controls">
										<input value="'.$tname.'" type="text" class="input" autocomplete="off" id="tname" name="tname" style="direction:'.$dir.';" />
									</div>
								</div>
								
								<div class="control-group">
									<label class="control-label" for="tcomment">'._TERM_COMMENTS.':</label>
									<div class="controls">
										<textarea name="tcomment" cols="30" rows="3" id="tcomment" style="direction:'.$dir.';" class="default_font">'.$tcomment.'</textarea>
									</div>
								</div>
							</fieldset>
							';
							if(isset($_REQUEST['tid']))
								echo'
							<input type="hidden" name="tid" value="'.$_REQUEST['tid'].'" />
							<input type="hidden" name="tcode2" value="'.$tcode2.'" />
							<center><input type="submit" name="edit_term" value="'._UPDATE.'" class="btn btn-primary btn-large"  />';
							else
								echo'
							<center><input type="submit" name="add_term" value="'._ADD.'" class="btn btn-primary btn-large"  />';
				}
				else
					echo '<div class="alert alert-error">
								  '._ADMIN_YOU_DO_NOT_HAVE_NECCESSARY_PERMISSIONS.'!
							  </div>';
					echo'
					</form>
				</p>
			</div>
		';            
        break;
        
        case "list":
					$term = new ManageTerms();
					
					if(isset($_REQUEST['page']))
						$start = ($_REQUEST['page']-1)*$page_limit;
					else
						$start = 0;
					
					$selected1=$selected2=$selected3="";
					if(isset($_REQUEST['q']) && $_REQUEST['q']!="")
					{
						switch($_REQUEST['search_op'])
						{
							case "tcode":
								$query = " WHERE tcode LIKE '%$_REQUEST[q]%'";
								$selected1 = 'selected="selected"';
								break;
							case "tname":
								$query = " WHERE tname LIKE '%$_REQUEST[q]%'";
								$selected2 = 'selected="selected"';
								break;
							case "tcomment":
								$query = " WHERE tcomment LIKE '%$_REQUEST[q]%'";
								$selected3 = 'selected="selected"';
								break;
								
						}
						
					}
					else
						$query = "";
					if(empty($selected1) && empty($selected2) && empty($selected3))
						$selected2 = 'selected="selected"';
					$termList = $term->GetTermList2($query,$start,$page_limit);
					$num_of_terms = ($term->GetTermList($query)==0?0:count($term->GetTermList($query)));
					echo '
					<div class="hero-unit main-container" style="margin-'.$align1.':-400px; '.$align1.':50%; " align="center">
						<form action="" method="post" style="text-align:center;" name="filter_admins">
							<input type="text" name="q" id="q" class="input" style="width:150px;" value="'.$_REQUEST[q].'" /> 
							<select name="search_op" style="width:130px;" class="input">
								<option value="tcode" '.$selected1.'>'._TCODE.'</option>
								<option value="tname" '.$selected2.'>'._TNAME.'</option>
								<option value="tcomment" '.$selected3.'>'._TERM_COMMENTS.'</option>								
							</select>';
					if($num_of_terms>$page_limit)
					{
						echo ' '._PAGE.': <select name="page" style="width:80px;" class="input">';
						for($p=1;(($p-1)*$page_limit)<=$num_of_terms;$p++)
						{
							if($p==$_REQUEST['page'])
								echo '<option value="'.$p.'" selected="selected">'.$p.'</option>';
							else
								echo '<option value="'.$p.'">'.$p.'</option>';
						}
						echo '</select>';
					}
					echo '
							<input type="submit" value="'._SEARCH.'" style="width:60px;" class="input" />
						</form>
						<script type="text/javascript">
							document.filter_admins.q.focus();
						</script>
						<div id="term-container">';
					
					if($admin->AdminPermission($_SESSION[$admin_session_name],"allow_term_list"))
					{
						echo '<center>'._TOTAL_NUMBER_OF_TERMS.': '.$num_of_terms.'</center>';
						if($num_of_terms!=0)
						{
							echo '
							<script type="text/javascript">
								function del_term(id)
								{
									if(confirm(\''._TERM_ARE_SURE_YOU_WANT_TO_DELETE.'\'))
										window.location = "term.php?op=delete&tid="+id;
								}
								function active_grade(id)
								{
									if(confirm(\''._TERM_ARE_SURE_YOU_WANT_TO_ACTIVE_GRADE.'\'))
										window.location = "term.php?op=grade_active&grade_active=1&tid="+id;
								}
								function deactive_grade(id)
								{
									if(confirm(\''._TERM_ARE_SURE_YOU_WANT_TO_DEACTIVE_GRADE.'\'))
										window.location = "term.php?op=grade_active&grade_active=0&tid="+id;
								}
							</script>
							';

							$table_width = 'width:500px;';
							$hidden = "";
							//Table Header
							echo '<div style="'.$table_width.'"><table style="'.$table_width.'">
									<tr class="table_header default_font">';
							echo '<td style="width:50px;" class="small">
								'._TCODE.'
								</td>';
							echo '<td style="width:120px;" class="small">
								'._TNAME.'
								</td>';
							echo '<td style="width:80px;" class="small '.$hidden.'">
								'._TERM_COMMENTS.'
								</td>';
								
							echo '<td style="width:70px;" class="small">
									'._TOOLS.'
								</td>';
							echo '</tr>';
							///--Table Header
							$i=0;
							foreach($termList as $termProp)
							{
								if($i%2==0)
									$bgClass = "tr_hover_class";
								else
									$bgClass = "";
								echo '<tr style="height:30px; border-bottom:silver;" class="table_rows default_font '.$bgClass.'">';
									
								echo '<td style="text-align:center;">
									'.$termProp['tcode'].'
									</td>';
									
								echo '<td style="text-align:'.$align1.';">
									'.$termProp['tname'].'
									</td>';
									
								echo '<td style="text-align:'.$align1.';" class="'.$hidden.'">
									'.$termProp['tcomment'].'
									</td>';
								
								echo '<td style="text-align:left;">';
								if($admin->AdminPermission($_SESSION[$admin_session_name],"allow_term_edit"))
								{
									if($termProp['grade_active']==0)
										echo '<a href="javascript:active_grade('.$termProp['tid'].')" title="'._ADMIN_ACTIVE_GRADE.'"><img src="../themes/'.$theme.'/img/play.png" style="border:0px;" /></a>';
									else
										echo '<a href="javascript:deactive_grade('.$termProp['tid'].')" title="'._ADMIN_DEACTIVE_GRADE.'"><img src="../themes/'.$theme.'/img/stop.png" style="border:0px;" /></a>';
								}
								if($admin->AdminPermission($_SESSION[$admin_session_name],"allow_term_del"))
										echo '<a href="javascript:del_term('.$termProp['tid'].')" title="'._DELETE.'"><img src="../themes/'.$theme.'/img/delete.png" style="border:0px;" /></a>';
								if($admin->AdminPermission($_SESSION[$admin_session_name],"allow_term_edit"))
										echo '<a href="term.php?op=add&tid='.$termProp['tid'].'" title="'._EDIT.'"><img src="../themes/'.$theme.'/img/edit.png" style="border:0px;" /></a>';
										
									echo '</td>';
								echo '</tr>';	
								$i++;				
							}
							echo '</table></div>';
						}
						
					}
					else
						echo '
						<div class="alert alert-error">
								  '._ADMIN_YOU_DO_NOT_HAVE_NECCESSARY_PERMISSIONS.'!
					    </div>';
					echo '
						</div>
					</div>
					';
		break;
		
		
		case "delete":
			echo '<div class="hero-unit main-container" style="margin-'.$align1.':-400px; '.$align1.':50%; ">';
			$tid = $_REQUEST['tid'];
			$term = new ManageTerms();
			
			//Check Permission
			if($admin->AdminPermission($_SESSION[$admin_session_name],"allow_term_del"))
			{
				if($term->DeleteTerm($tid)==1)
					echo '<div class="alert alert-success">
							  '._TERM_DELETED_SUCCESSFULLY.'.
						  </div>';
				else
					echo '<div class="alert alert-error">
							  '._PROBLEM_OCCURED_DELETING_TERM.'!
						  </div>';
			}
			else
				echo '<div class="alert alert-error">
								  '._ADMIN_YOU_DO_NOT_HAVE_NECCESSARY_PERMISSIONS.'!
					  </div>';
			echo '</div>';
		break;
		
		case "grade_active":
			echo '<div class="hero-unit main-container" style="margin-'.$align1.':-400px; '.$align1.':50%; ">';
			$tid = $_REQUEST['tid'];
			$term = new ManageTerms();
			$status = $_REQUEST['grade_active'];
			//Check Permission
			if($admin->AdminPermission($_SESSION[$admin_session_name],"allow_term_edit"))
			{
				$adminInfo=$admin->GetAdminInfo($_SESSION[$admin_session_name]);
				$admin_id = $adminInfo[0][aid];
				if($term->ActiveGrade($tid,$status,$admin_id)==1)
					echo '<div class="alert alert-success">
							  '._TERM_UPDATED_SUCCESSFULLY.'.
						  </div>';
				else
					echo '<div class="alert alert-error">
							  '._PROBLEM_OCCURED_UPDATING_TERM.'!
						  </div>';
			}
			else
				echo '<div class="alert alert-error">
								  '._ADMIN_YOU_DO_NOT_HAVE_NECCESSARY_PERMISSIONS.'!
					  </div>';
			echo '</div>';
		break;
		
        default:
            # code...
        break;
    }
}

include_once('footer.php');
?>


